lftp (4.9.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Minimal change to fix FTBFS with -Werror=implicit-function-declaration
    + ftbfs_implicit.diff - Fixup configure*.
    + Use selective touch in debian/rules to allow changing configure*
      without using dh_autoreconf.
    Closes: #1066396

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Apr 2024 14:28:35 +0200

lftp (4.9.2-2) unstable; urgency=medium

  * lftp.tech domain doesn't work anymore; switch back to lftp.yar.ru
    closes: Bug#1001056
  * updated Standards-Version to 4.6.1; no change needed
  * cherry pick patch from upstream github to fix handling of cross-signed
    Let's Encrypt CA closes: Bug#995567
  * lintian pedantic: updated year in debian/copyright
  * debian/compat changed to debhelper-compat (= X)

 -- Noël Köthe <noel@debian.org>  Sat, 16 Jul 2022 12:24:04 +0200

lftp (4.9.2-1) unstable; urgency=medium

  * new upstream version 4.9.2 from 2020-08-13
    sorry for the delay closes: Bug#983488, #995920
  * raised debian/compat to 13

 -- Noël Köthe <noel@debian.org>  Mon, 25 Oct 2021 13:31:29 +0200

lftp (4.8.4-2) unstable; urgency=medium

  * updated Standards-Version; no changes needed
  * fixed missing build deps zlib1g-dev. closes: Bug#917662

 -- Noël Köthe <noel@debian.org>  Mon, 31 Dec 2018 16:50:18 +0100

lftp (4.8.4-1) unstable; urgency=high

  * New upstream version 4.8.4 fixes CVE-2018-10916 closes: Bug#905163
  * updated Standards-Version; no changes needed
  * switched to debhelper 11
  * fix lintian warning about trailing whitespaces
  * updated signing key from Alexander V. Lukyanov <lav@yars.free.net>

 -- Noël Köthe <noel@debian.org>  Thu, 02 Aug 2018 05:47:42 +0200

lftp (4.8.3-1) unstable; urgency=medium

  * upstream release from 2017-10-09
    closes: Bug#895634
  * updated Standards-Version

 -- Noël Köthe <noel@debian.org>  Mon, 16 Apr 2018 14:47:26 +0200

lftp (4.8.1-1) unstable; urgency=medium

  * new upstream release from 2017-09-13
  * rpath option fixed by upstream and chrpath removed in rules
  * upstream switched to libidn2 and do the same in the debian package

 -- Noël Köthe <noel@debian.org>  Sun, 17 Sep 2017 21:17:03 +0200

lftp (4.8.0-3) unstable; urgency=medium

  * reverted -2 change to get a working lftp back and test SOCKS
    support beside sid. closes: Bug#871695

 -- Noël Köthe <noel@debian.org>  Thu, 10 Aug 2017 23:13:11 +0200

lftp (4.8.0-2) unstable; urgency=low

  * enabled SOCKS support again. closes: Bug#55464

 -- Noël Köthe <noel@debian.org>  Tue, 08 Aug 2017 19:39:58 +0200

lftp (4.8.0-1) unstable; urgency=medium

  * new upstream release from 2017-07-10
  * debian/control raised to Standards-Version 4.0.0
    - debian/copyright Format to https
  * debian/copyright updated years
  * debian/rules added --disable-rpath to ./configure options
    but it doesn't work, so remove RPATH by chrpath
  * fixed new lintian error orig-tarball-missing-upstream-signature

 -- Noël Köthe <noel@debian.org>  Wed, 02 Aug 2017 20:03:32 +0200

lftp (4.7.7-1) unstable; urgency=medium

  * new upstream release from 2017-03-07

 -- Noël Köthe <noel@debian.org>  Sat, 18 Mar 2017 19:19:04 +0100

lftp (4.7.4-1) unstable; urgency=medium

  * new upstream release from 2016-11-16
  * updated debian/watch with gpg signature check
  * debian/copyright updatded to dep5-copyright

 -- Noël Köthe <noel@debian.org>  Thu, 17 Nov 2016 19:27:02 +0100

lftp (4.7.3-1) unstable; urgency=medium

  * new upstream release from 2016-07-15 closes: Bug#843914
  * debian/control changed homepage to https://lftp.tech
  * debian/rules added patch from Helmut Grohne to fix
    FTCBFS: Pass $(confflags) to ./configure. closes: #843499

 -- Noël Köthe <noel@debian.org>  Tue, 15 Nov 2016 12:11:14 +0100

lftp (4.7.2-1) unstable; urgency=medium

  * new upstream release from 2016-05-18
  * debian/compat updated to 9
  * debian/control Homepage support https
  * debian/control updated Standard-Version, no changes needed

 -- Noël Köthe <noel@debian.org>  Sat, 02 Jul 2016 13:41:00 +0200

lftp (4.7.1-1) unstable; urgency=medium

  * new upstream release 2016-04-04

 -- Noël Köthe <noel@debian.org>  Sat, 09 Apr 2016 08:16:55 +0200

lftp (4.7.0-1) unstable; urgency=medium

  * new upstream release 2016-03-28
    - fixed When "edit" makes a temporary copy of a file, keep its extension
      intact. closes: #770910
  * debian/control: recommend ssh-client. closes: #807451

 -- Noël Köthe <noel@debian.org>  Thu, 31 Mar 2016 17:52:41 +0200

lftp (4.6.4-1) experimental; urgency=medium

  * new upstream release 2015-08-21

 -- Noël Köthe <noel@debian.org>  Fri, 21 Aug 2015 16:06:22 +0200

lftp (4.6.3a-1) unstable; urgency=medium

  * new upstream release 2015-06-19

 -- Noël Köthe <noel@debian.org>  Sat, 20 Jun 2015 18:25:45 +0200

lftp (4.6.2-1) unstable; urgency=medium

  * new upstream release 2015-04-16
    - fixed a wildcard certificate validation vulnerability (CVE-2014-0139)
    - removed upstream included patches (added in 4.6.1-2)

 -- Noël Köthe <noel@debian.org>  Thu, 16 Apr 2015 17:16:05 +0200

lftp (4.6.1-2) unstable; urgency=medium

  * added patches from upstream to get the first patch into jessie
    - add-settingsfish_auto-confirmandsftp_auto-confirm.patch closes: #774769
    - use-hostmatch-function-from-latest-curl-addresses-CV.patch

 -- Noël Köthe <noel@debian.org>  Thu, 19 Feb 2015 20:57:45 +0100

lftp (4.6.1-1) unstable; urgency=medium

  * new upstream release from 2015-01-01
  * updated to Debian Policy 3.9.6 without changes

 -- Noël Köthe <noel@debian.org>  Fri, 02 Jan 2015 12:26:08 +0100

lftp (4.6.0-1) unstable; urgency=medium

  * new upstream release from 2014-10-14

 -- Noël Köthe <noel@debian.org>  Tue, 14 Oct 2014 14:28:48 +0200

lftp (4.5.5-2) unstable; urgency=medium

  * debian/control mention BitTorrent in the short description

 -- Noël Köthe <noel@debian.org>  Wed, 08 Oct 2014 19:08:16 +0200

lftp (4.5.5-1) unstable; urgency=medium

  * new upstream release from 2014-09-04
    - support for internationalized domain names (IDN)

 -- Noël Köthe <noel@debian.org>  Sat, 06 Sep 2014 19:24:18 +0200

lftp (4.5.4-1) unstable; urgency=medium

  * new upstream release from 2014-08-07

 -- Noël Köthe <noel@debian.org>  Thu, 07 Aug 2014 12:54:38 +0200

lftp (4.5.3-1) unstable; urgency=medium

  * new upstream release from 2014-07-06

 -- Noël Köthe <noel@debian.org>  Mon, 07 Jul 2014 12:39:14 +0200

lftp (4.5.2-2) unstable; urgency=medium

  * switched from GNU TLS 2.8 to 3.2. closes: #753103, #745041

 -- Noël Köthe <noel@debian.org>  Tue, 01 Jul 2014 14:19:52 +0200

lftp (4.5.2-1) unstable; urgency=medium

  * new upstream release from 2014-06-11

 -- Noël Köthe <noel@debian.org>  Wed, 11 Jun 2014 13:27:01 +0200

lftp (4.5.1-1) unstable; urgency=medium

  * new upstream release from 2014-06-02
    - removed 4.5.0build.patch because it is now included

 -- Noël Köthe <noel@debian.org>  Tue, 03 Jun 2014 11:06:43 +0200

lftp (4.5.0-1) unstable; urgency=medium

  * new upstream release from 2014-05-23
    - fixed directory index parsing for some http servers. closes: Bug#742193

 -- Noël Köthe <noel@debian.org>  Fri, 23 May 2014 19:06:37 +0200

lftp (4.4.15-1) unstable; urgency=medium

  * new upstream release from 2014-01-24

 -- Noël Köthe <noel@debian.org>  Sat, 25 Jan 2014 18:34:17 +0100

lftp (4.4.13-1) unstable; urgency=low

  * new upstream release from 2013-11-27
  * debian/watch took updated file from bartm
  * debian/control updated Standards-Version: no changes needed

 -- Noël Köthe <noel@debian.org>  Fri, 29 Nov 2013 17:12:43 +0100

lftp (4.4.11-1) unstable; urgency=low

  * new upstream release from 2013-11-12

 -- Noël Köthe <noel@debian.org>  Tue, 12 Nov 2013 08:49:26 +0100

lftp (4.4.10-1) unstable; urgency=low

  * new upstream release from 2013-10-11

 -- Noël Köthe <noel@debian.org>  Fri, 11 Oct 2013 12:28:45 +0200

lftp (4.4.9-1) unstable; urgency=low

  * new upstream release from 2013-08-23

 -- Noël Köthe <noel@debian.org>  Sun, 25 Aug 2013 18:36:07 +0200

lftp (4.4.8-1) unstable; urgency=low

  * new upstream release from 2013-05-29

 -- Noël Köthe <noel@debian.org>  Tue, 04 Jun 2013 12:11:15 +0200

lftp (4.4.7-1) unstable; urgency=low

  * new upstream release from 2013-05-23
  * debian/control updated Standards-Version to 3.9.4
    no changes needed
  * debian/control added BitTorrent to the description

 -- Noël Köthe <noel@debian.org>  Thu, 23 May 2013 12:27:44 +0200

lftp (4.4.6-1) unstable; urgency=low

  * new upstream release from 2013-05-17

 -- Noël Köthe <noel@debian.org>  Mon, 20 May 2013 21:37:29 +0200

lftp (4.4.5-1) unstable; urgency=low

  * new upstream release
  * thx for the kfreebsd NMU Ivo closes: Bug#677861

 -- Noël Köthe <noel@debian.org>  Sun, 05 May 2013 18:36:57 +0200

lftp (4.3.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build on kfreebsd. Thanks to Andreas Henriksson for the patch and
    Christoph Egger for the report.
    closes: Bug#677861

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Dec 2012 15:53:02 +0100

lftp (4.3.8-1) unstable; urgency=low

  * new upstream release from 2012-07-04

 -- Noël Köthe <noel@debian.org>  Fri, 06 Jul 2012 22:06:25 +0200

lftp (4.3.7-1) unstable; urgency=low

  * new upstream release from 2012-05-30
    closes: Bug#675604

 -- Noël Köthe <noel@debian.org>  Sun, 03 Jun 2012 20:39:07 +0200

lftp (4.3.6-1) unstable; urgency=low

  * new upstream release from 2012-04-01
    - removed included fix-werror-format-security.patch

 -- Noël Köthe <noel@debian.org>  Tue, 03 Apr 2012 18:21:08 +0200

lftp (4.3.5-2) unstable; urgency=low

  * updated Standards-Version to 3.9.3 without changes
  * corrected hardening flags with patch from Simon Ruderich (thx)
    (applied/reported upstream with minor whitespace fixes)
    closes: Bug#663908

 -- Noël Köthe <noel@debian.org>  Sun, 25 Mar 2012 11:21:50 +0200

lftp (4.3.5-1) unstable; urgency=low

  * new upstream release from 2012-01-24

 -- Noël Köthe <noel@debian.org>  Tue, 07 Feb 2012 17:16:57 +0100

lftp (4.3.4-1) unstable; urgency=low

  * new upstream release from 2011-12-30
  * added added hardened build flag

 -- Noël Köthe <noel@debian.org>  Fri, 13 Jan 2012 16:54:26 +0100

lftp (4.3.3-1) unstable; urgency=low

  * new upstream release from 2011-10-20
    - corrected deprecated _set_priority GnuTLS functions closes: Bug#624060
    - removed kfreebsd_LFTP_POSIX_FALLOCATE_CHECK.patch which
      is now included upstream
  * debian/control added libncurses-dev build-dependency closes: Bug#646144

 -- Noël Köthe <noel@debian.org>  Tue, 25 Oct 2011 11:54:49 +0200

lftp (4.3.1-1) unstable; urgency=low

  * new upstream release from 2011-06-28
  * added kfreebsd-* patch from Gonéri Le Bouder <goneri@rulezlan.org>
    Thanks! closes: Bug#620466
  * updated Standards-Version to 3.9.2
  * fixed lintian warnings:
    - debian-rules-missing-recommended-target
    - maintainer-script-empty
  * debian/rules dh_clean -> dh_prep

 -- Noèl Köthe <noel@debian.org>  Thu, 21 Jul 2011 09:56:52 +0200

lftp (4.2.2-1) unstable; urgency=low

  * new upstream release from 2011-04-11

 -- Noèl Köthe <noel@debian.org>  Thu, 28 Apr 2011 13:26:35 +0200

lftp (4.2.1-1) unstable; urgency=low

  * new upstream release from 2011-03-30
    - removed upstream included doc_disk-full.patch and de.po.patch

 -- Noèl Köthe <noel@debian.org>  Fri, 01 Apr 2011 11:11:46 +0200

lftp (4.0.9-2) unstable; urgency=low

  * added changelog info to 4.0.6 that this version fixes CVE-2010-2251
  * added missing : of a bug close in 4.0.9-2

 -- Noèl Köthe <noel@debian.org>  Sat, 31 Jul 2010 20:14:27 +0200

lftp (4.0.9-1) unstable; urgency=low

  * new Upstream version 4.0.9
  * updated copyright year and the sentence about the (former)
    maintainers
  * updated Standards-Version without changes
  * removed upstream included patch missing_header.patch
  * corrected german translation in help output (missing comma), closes:
    Bug#511137
  * converted packaging from dpatch to quilt
  * corrected translation of german help output (extended the patch from
    Nico Golde <nion@d.o>), closes: Bug#511137
  * fix lftp.1 manpage option xfer:disk-full-fatal, closes: Bug#551040

 -- Noèl Köthe <noel@debian.org>  Thu, 29 Jul 2010 23:27:54 +0200

lftp (4.0.6-1) unstable; urgency=low

  * new upstream release from 2010-03-25
    - fixes proftp problem. closes: Bug#570861
    - the version fixes CVE-2010-2251
  * switched to to dpkg-source 3.0 (quilt)
  * pget help and lftp -h mentions -c since some time
    closes: Bug#377043
  * lftp -c exists.:) closes: Bug#401572

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2010 23:45:53 +0200

lftp (4.0.5-1) unstable; urgency=low

  * new upstream release from 2009-12-21
  * debian/control no changes needed for Standard-Version 3.8.4
  * this package is build against libgnutls-dev (=libgnutls26)
    closes: Bug#559159

 -- Noèl Köthe <noel@debian.org>  Sun, 21 Feb 2010 19:09:46 +0100

lftp (4.0.2-1) unstable; urgency=low

  * new upstream release 4.0.2 from 2009-09-23
    - included gnutls >2.7 (use pkgconfig) Thanks Andreas Methler
      closes: Bug#529906
  * debian/control added Build-Dep pkg-config
  * debian/control no changes needed for Standard-Version 3.8.3
  * debian/control changed Build-Dep from libreadline5-dev to
    libreadline-dev

 -- Noèl Köthe <noel@debian.org>  Thu, 15 Oct 2009 11:29:54 +0200

lftp (3.7.15-1) unstable; urgency=low

  * new upstream release from 2009-07-21
  * debian/control updated Standards-Version: (no updates needed)
  * debian/compat debian/control raised debhelper to 5
  * debian/control removed URL in description because we have Homepage:
  * debian/control added ${misc:Depends} to Depends
  * debian/rules debian/docs removed outdated ChangeLog from the package
    and handle NEWS as the changelog because upstream documents it there

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jul 2009 18:58:35 +0200

lftp (3.7.14-1) unstable; urgency=low

  * new upstream release from 2009-05-15

 -- Noèl Köthe <noel@debian.org>  Sun, 17 May 2009 22:49:47 +0200

lftp (3.7.13-1) unstable; urgency=low

  * new upstream release from 2009-04-28
    - fixed core dump on 'mput -d' command (closes: Bug#517428)

 -- Noèl Köthe <noel@debian.org>  Wed, 13 May 2009 19:02:57 +0200

lftp (3.7.8-1) unstable; urgency=low

  * new upstream release from 2009-01-23
    - changed license of lftp from GPL 2 to GPL 3
      (upstream changed it in 3.7.7)
    - removed included 504638-memory_corruption.patch

 -- Noèl Köthe <noel@debian.org>  Fri, 30 Jan 2009 22:11:56 +0100

lftp (3.7.5-1) unstable; urgency=low

  * new upstream release from 2008-11-07
  * adding upstream patch to fix memory corruption
    504638-memory_corruption.patch
    (closes: Bug#504638)

 -- Noèl Köthe <noel@debian.org>  Sun, 16 Nov 2008 12:39:24 +0100

lftp (3.7.4-1) unstable; urgency=low

  * new upstream release from 2008-08-06

 -- Noèl Köthe <noel@debian.org>  Thu, 07 Aug 2008 17:20:15 +0200

lftp (3.7.3-1) unstable; urgency=low

  * new upstream release from 2008-05-23
    - corrected german translation encoding (closes: Bug#480667)
  * debian/control updated Standards-Version
  * debian/control added Homepage:
  * debian/post[inst|rm] readded for etch upgrade (closes: Bug#477350)

 -- Noèl Köthe <noel@debian.org>  Sun, 15 Jun 2008 12:40:41 +0200

lftp (3.7.1-1) unstable; urgency=low

  * new upstream release from 2008-04-18

 -- Noèl Köthe <noel@debian.org>  Mon, 21 Apr 2008 19:33:32 +0200

lftp (3.7.0-1) unstable; urgency=low

  * new upstream release from 2008-03-07
  * fixed lintian warnings:
    - copyright-without-copyright-notice
    - maintainer-script-empty postinst|postrm

 -- Noèl Köthe <noel@debian.org>  Fri, 28 Mar 2008 17:38:31 +0100

lftp (3.6.3-1) unstable; urgency=low

  * new upstream release from 2008-02-18
  * updated to Standards-Verion 3.7.3

 -- Noèl Köthe <noel@debian.org>  Sun, 02 Mar 2008 16:51:49 +0100

lftp (3.6.1-1) unstable; urgency=low

  * new upstream release from 2007-11-09
  * fixed debian/watch file
    (closes: Bug#449642)

 -- Noèl Köthe <noel@debian.org>  Sun, 11 Nov 2007 13:40:43 +0100

lftp (3.6.0-1) unstable; urgency=low

  * new upstream release from 2007-10-19

 -- Noèl Köthe <noel@debian.org>  Thu, 01 Nov 2007 15:12:17 +0100

lftp (3.5.14-1) unstable; urgency=low

  * new upstream release from 2007-08-31

 -- Noèl Köthe <noel@debian.org>  Mon, 03 Sep 2007 18:12:30 +0200

lftp (3.5.12-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Fri, 03 Aug 2007 22:03:56 +0200

lftp (3.5.11-1) unstable; urgency=low

  * new upstream release
  * correcting postinst and postrm for lftp upgrades when "ftp" is missing
    (closes: Bug#423947)
    (closes: Bug#426492)

 -- Noèl Köthe <noel@debian.org>  Sat, 16 Jun 2007 12:43:21 +0200

lftp (3.5.10-3) unstable; urgency=low

  * correcting postinst and postrm for lftp upgrades when "ftp" is missing
    (close: Bug#423947)
    (close: Bug#426492)

 -- Noèl Köthe <noel@debian.org>  Fri, 15 Jun 2007 12:55:50 +0200

lftp (3.5.10-2) unstable; urgency=low

  * remove postinst and postrm. lftp is no ftp alternative
    and the post* scripts were for upgrades.
    (closes: Bug#423947)

 -- Noèl Köthe <noel@debian.org>  Mon, 28 May 2007 11:27:58 +0200

lftp (3.5.10-1) unstable; urgency=low

  * new upstream release 2007-03-26
  * upstream fixed "option [-p port] ignored if a path is specified"
    (closes: Bug#408579)

 -- Noèl Köthe <noel@debian.org>  Sun, 08 Apr 2007 11:57:43 +0200

lftp (3.5.9-1) unstable; urgency=low

  * new upstream release 2007-01-09

 -- Noèl Köthe <noel@debian.org>  Sun, 11 Feb 2007 15:58:36 +0100

lftp (3.5.6-1) unstable; urgency=low

  * new upstream release 2006-10-12

 -- Noèl Köthe <noel@debian.org>  Sun, 22 Oct 2006 22:06:59 +0200

lftp (3.5.4-1) unstable; urgency=low

  * new upstream release 2006-08-10

 -- Noèl Köthe <noel@debian.org>  Fri, 11 Aug 2006 17:29:16 +0200

lftp (3.5.3-1) unstable; urgency=low

  * new upstream release 2006-08-04
    (closes: Bug#381686)

 -- Noèl Köthe <noel@debian.org>  Sun, 06 Aug 2006 20:36:24 +0200

lftp (3.5.2-1) unstable; urgency=low

  * new upstream release 2006-07-31
  * correcting mirror -c problem
    (closes: Bug#379690)

 -- Noèl Köthe <noel@debian.org>  Tue,  1 Aug 2006 08:14:07 +0200

lftp (3.5.0-1) unstable; urgency=low

  * new upstream release 2006-07-05
  * pget now support -c
    (closes: Bug#22375)
  * corrected ? escaping
    (closes: Bug#375590)

 -- Noèl Köthe <noel@debian.org>  Wed,  5 Jul 2006 19:58:49 +0200

lftp (3.4.7-1) unstable; urgency=low

  * new upstream release from 2006-05-18
  * updated Standards-Version to 3.7.2
  * tls glibc double-free problem fixed since 3.4.x
    (closes: Bug#326914)
  * gnutls handshake problem fixed since 3.4.x
    (closes: Bug#327643)
  * segfault problem fixed (closes: Bug#336408)
  * using gnutls 1.3 (closes: Bug#369197)
  * made lftp-config-dns-inet6_before_inet patch nicer

 -- Noèl Köthe <noel@debian.org>  Mon, 05 Jun 2006 13:17:03 +0200

lftp (3.4.6-1) unstable; urgency=low

  * new upstream release from 2006-04-25
  * updated copyright upstream URL (closes: Bug#346477)
  * updated Standards-Version to 3.6.2

 -- Noèl Köthe <noel@debian.org>  Wed, 26 Apr 2006 13:38:59 +0200

lftp (3.4.2-1) unstable; urgency=low

  * new upstream release from 2006-02-08

 -- Noèl Köthe <noel@debian.org>  Thu, 16 Feb 2006 08:29:35 +0100

lftp (3.4.0-1) unstable; urgency=low

  * new upstream release from 2005-12-31
    - lftpget(1) now in upstream
    - gnutls patch from 3.3.5-2 included

 -- Noèl Köthe <noel@debian.org>  Sat, 31 Dec 2005 17:32:12 +0100

lftp (3.3.5-2) unstable; urgency=medium

  * applied gnutls patch http://www.mail-archive.com/lftp@uniyar.ac.ru/msg02449.html
    (closes: Bug#312216)
  * added lftpget manpage
    (closes: Bug#343307)

 -- Noèl Köthe <noel@debian.org>  Fri, 30 Dec 2005 08:41:30 +0100

lftp (3.3.5-1) unstable; urgency=low

  * new upstream from 2005-12-05
    - enable new pager option (closes: Bug#291302)

 -- Noèl Köthe <noel@debian.org>  Mon, 05 Dec 2005 14:05:57 +0100

lftp (3.3.4-1) unstable; urgency=low

  * new upstream from 2005-11-15

 -- Noèl Köthe <noel@debian.org>  Thu, 24 Nov 2005 18:21:09 +0100

lftp (3.3.3-1) unstable; urgency=low

  * new upstream from 2005-10-21

 -- Noèl Köthe <noel@debian.org>  Fri, 21 Oct 2005 18:59:11 +0200

lftp (3.3.2-1) unstable; urgency=low

  * new upstream from 2005-10-17
    (closes: Bug#334059)

 -- Noèl Köthe <noel@debian.org>  Mon, 17 Oct 2005 17:22:35 +0200

lftp (3.3.1-1) unstable; urgency=low

  * new upstream from 2005-10-14
    - fixed `open ftp.example.com/path'
    (Closes: Bug#325970)
  * corrected de.po Blockgrösse -> Blockgröße
    (Closes: Bug#313781)

 -- Noèl Köthe <noel@debian.org>  Fri, 14 Oct 2005 18:17:53 +0200

lftp (3.3.0-1) unstable; urgency=low

  * new upstream from 2005-08-12
  * removed README.build because everything is done by dpatch

 -- Noèl Köthe <noel@debian.org>  Wed, 24 Aug 2005 19:49:31 +0200

lftp (3.2.1-2) unstable; urgency=low

  * rebuild against libgnutls-dev  1.2.5-3
    (changed buidl-dep from libgnutls11-dev to libgnutls-dev)

 -- Noèl Köthe <noel@debian.org>  Sun, 31 Jul 2005 17:26:31 +0200

lftp (3.2.1-1) unstable; urgency=low

  * new upstream from 2005-05-26
  * manpage typos fixed
    (closes: Bug#310348)
  * lftp can now work with gnutls 1.x so compiled with tls
    (closes: Bug#310344)
  * no syslog code in lftp
    (closes: Bug#244902)
  * webdav problems with profind are fixed in 3.2.x
    (closes: Bug#298820)
  * --help option with other options is no error anymore
    (closes: Bug#307936)

 -- Noèl Köthe <noel@debian.org>  Thu, 26 May 2005 11:45:23 +0200

lftp (3.2.0-1) unstable; urgency=low

  * new upstream from 2005-05-15
    (with 3.2.1rc1 patches because of compile problems)
  * upstream added GNU TLS support to get crypto enabled again
    (see previous changelog entry) but requests newer gnutls
    version than available in Debian
  * changed from readline4 to readline5
  * added dpatch support
  * added watchfile

 -- Noèl Köthe <noel@debian.org>  Sat, 21 May 2005 08:01:12 +0200

lftp (3.1.3-1) unstable; urgency=medium

  * new upstream from 2005-04-15
  * disabled ssl support because of license problem. See:
    http://bugs.debian.org/305160
    http://www.mail-archive.com/lftp%40uniyar.ac.ru/msg02012.html
    http://www.openssl.org/support/faq.html#LEGAL2
    http://www.gnome.org/~markmc/openssl-and-the-gpl.html
    If the author add the needed exception to allow to link
    against openssl it will be enabled again.
    Better a lftp without ssl than no lftp in sarge.
    (closes: Bug#305160)

 -- Noèl Köthe <noel@debian.org>  Thu, 28 Apr 2005 18:11:59 +0200

lftp (3.1.2-1) unstable; urgency=low

  * new upstream from 2005-04-04

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Apr 2005 20:12:24 +0200

lftp (3.1.1-1) unstable; urgency=low

  * new upstream from 2005-03-23

 -- Noèl Köthe <noel@debian.org>  Thu, 24 Mar 2005 19:08:58 +0100

lftp (3.1.0-1) unstable; urgency=low

  * new upstream from 2005-02-28
    + http DAV support added (PROPFIND, MKCOL, DELETE, MOVE)
    (closes: Bug#277559)
  * added missing supported protocols to description
    FTP, HTTP, FISH, SFTP, HTTPS and FTPS
    (closes: Bug#292640)

 -- Noèl Köthe <noel@debian.org>  Mon, 28 Feb 2005 19:24:17 +0100

lftp (3.0.13-1) unstable; urgency=low

  * new upstream from 2004-12-21
  * upstream fixed seg fault by tab completition
    (closes: Bug#286260)

 -- Noèl Köthe <noel@debian.org>  Tue, 21 Dec 2004 08:12:00 +0100

lftp (3.0.12-1) unstable; urgency=low

  * new upstream from 2004-12-03

 -- Noèl Köthe <noel@debian.org>  Mon, 06 Dec 2004 22:19:39 +0100

lftp (3.0.11-1) unstable; urgency=low

  * new upstream from 2004-11-04

 -- Noèl Köthe <noel@debian.org>  Thu, 04 Nov 2004 21:43:33 +0100

lftp (3.0.10-1) unstable; urgency=low

  * new upstream from 2004-10-20

 -- Noèl Köthe <noel@debian.org>  Wed, 27 Oct 2004 20:53:35 +0200

lftp (3.0.9-1) unstable; urgency=low

  * new upstream from 2004-09-20
  * Filtering hang-up fixed
    (closes: Bug#272571)

 -- Noèl Köthe <noel@debian.org>  Wed, 22 Sep 2004 13:49:11 +0200

lftp (3.0.8-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Wed, 15 Sep 2004 09:22:46 +0200

lftp (3.0.7-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Aug 2004 15:05:18 +0200

lftp (3.0.6-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Sat, 24 Jul 2004 11:17:56 +0200

lftp (3.0.5-1) unstable; urgency=low

  * new upstream version from 2004-05-31
    (closes: Bug#251999)
  * removed libsocks4

 -- Noèl Köthe <noel@debian.org>  Tue,  1 Jun 2004 04:01:39 +0200

lftp (3.0.4-1) unstable; urgency=low

  * new upstream version from 2004-05-25

 -- Noèl Köthe <noel@debian.org>  Wed, 26 May 2004 23:00:19 +0200

lftp (3.0.3-1) unstable; urgency=low

  * new upstream version from 2004-04-26

 -- Noèl Köthe <noel@debian.org>  Wed, 05 May 2004 23:42:02 +0200

lftp (3.0.2-2) unstable; urgency=low

  * disabled socks again because it breaks active ftp
    (closes: Bug#243571)

 -- Noèl Köthe <noel@debian.org>  Fri, 23 Apr 2004 00:03:39 +0200

lftp (3.0.2-1) unstable; urgency=low

  * new upstream from 2004-04-15

 -- Noèl Köthe <noel@debian.org>  Fri, 16 Apr 2004 23:23:17 +0200

lftp (3.0.1-1) unstable; urgency=low

  * new upstream release from 2004-04-06
  * enabled socks support
    (closes: Bug#55464)
  * bookmarks file is now 600 when newly created
    (closes: Bug#222874)

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2004 12:51:34 +0200

lftp (3.0.0-1) unstable; urgency=low

  * new upstream release from 2004-04-02
  * "better handling of ~/.netrc - multiple logins for the same
    machine are allowed"
    (closes: Bug#206391)
  * now wrong --bogus options are repreated correctly
    (closes: Bug#212251)

 -- Noèl Köthe <noel@debian.org>  Sat, 03 Apr 2004 14:15:55 +0200

lftp (2.6.12-1) unstable; urgency=low

  * new upstream release from 2004-01-23

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Feb 2004 19:59:09 +0100

lftp (2.6.11-2) unstable; urgency=low

  * fixed stupid typo
    (closes: Bug#227584)

 -- Noèl Köthe <noel@debian.org>  Wed, 14 Jan 2004 20:05:00 +0100

lftp (2.6.11-1) unstable; urgency=low

  * new upstream from 2003-12-22
  * fixed ftp alternative after removal of lftp
    (closes: Bug#221647)

 -- Noèl Köthe <noel@debian.org>  Sun, 11 Jan 2004 14:25:00 +0100

lftp (2.6.10-1) unstable; urgency=low

  * new upstream from 2003-12-10

 -- Noèl Köthe <noel@debian.org>  Sat, 13 Dec 2003 17:45:00 +0100

lftp (2.6.8-2) unstable; urgency=low

  * remove lftp from alternatives db.
    (closes: Bug#220654)

 -- Noèl Köthe <noel@debian.org>  Fri, 14 Nov 2003 22:51:00 +0100

lftp (2.6.8-1) unstable; urgency=low

  * new upstream from 2003-10-10
  * converted changelog, control and copyright to utf-8
  * updated Standards-Version
  * upstream fixed the problem with zero byte files in 2.6.7
    (closes: Bug#208241)
  * removed outdated README.Debian from package
  * prefer ipv6/inet6 via lftp.conf option as default
    (closes: Bug#195561)

 -- Noèl Köthe <noel@debian.org>  Tue, 14 Oct 2003 21:04:00 +0200

lftp (2.6.6-1) unstable; urgency=low

  * new upstream from 2003-06-28
  * removed lftp alternative because of missing
    port as third argument
    (closes: Bug#186657)

 -- Noel Koethe <noel@debian.org>  Sun,  8 Jun 2003 22:18:00 +0100

lftp (2.6.5-2) unstable; urgency=low

  * corrected the URL in the manpage so there is no warning
    anymore
    (closes: Bug#162918)
  * added patch from Geoffrey Lee which fixed a problem
    with only some webservers when the trailing / is missing
    which will be in the next upstream version
    (closes: Bug#186317)

 -- Noel Koethe <noel@debian.org>  Wed, 14 May 2003 19:12:00 +0100

lftp (2.6.5-1) unstable; urgency=low

  * new upstream from 2003-02-28
  * added alternatives system. Thanks for the hint Floris.
    (closes: Bug#179611)

 -- Noel Koethe <noel@debian.org>  Fri,  7 Mar 2003 20:35:00 +0100

lftp (2.6.4-1) unstable; urgency=low

  * new upstream from 2002-12-26
    (closes: Bug#181781)
  * upstream fixed ETA calculation
    (closes: Bug#157019)

 -- Noel Koethe <noel@debian.org>  Thu, 20 Feb 2003 22:54:00 +0100

lftp (2.6.2-3) unstable; urgency=low

  * updated config.guess and config.sub for mips/mipsel
    (closes: Bug#172496)
  * enabled ssl
    (closes: Bug#147520)
    (closes: Bug#161289)
  * looks like submitter isn't available
    (closes: Bug#130920)

 -- Noel Koethe <noel@debian.org>  Tue, 10 Dec 2002 12:42:00 +0100

lftp (2.6.2-2) unstable; urgency=low

  * added netbase dependency
    (closes: Bug#170584)

 -- Noel Koethe <noel@debian.org>  Tue, 26 Nov 2002 13:36:00 +0100

lftp (2.6.2-1) unstable; urgency=low

  * removed "Provides: ftp"
    (closes: Bug#161143)

 -- Noel Koethe <noel@debian.org>  Sat, 21 Sep 2002 22:56:00 +0200

lftp (2.6.2-0) unstable; urgency=low

  * took package from Nicolás
  * new upstream 2.6.2 from 2002-09-10
    (closes: Bug#158483)
    (closes: Bug#145823)
  * updated Standards-Version from 3.1.1 to 3.5.7
  * removed netbase dependency
    (closes: Bug#118243)
  * updated copyright file
  * updated rules file
  * corrected typo in description
    (closes: Bug#135820)
  * removed empty directory
    (closes: Bug#130440)
  * latest version show server message correctly
    (closes: Bug#62221)
  * problem with NLST is fixed since some versions
    (closes: Bug#63276)
  * problem with IPv6 and passive mode has been fixed in 2.3.1
    (closes: Bug#64529)
  * closing bug with lftp on SunOS which doesn't belong to Debian
    and which is fixed
    (closes: Bug#68037)
  * lftp can handle scripts with more than 4095 chars
    (closes: Bug#82724)
  * lftpget -v fixed
    (closes: Bug#128020)
  * lftp provides ftp
    (closes: Bug#54683)
  * closing already closed bug but because of a typo in this
    changelog its still open (typed Buf instead of Bug)
    (closes: Bug#67653)
  * http put is fixed
    (closes: Bug#47706)

 -- Noel Koethe <noel@debian.org>  Sat, 14 Sep 2002 11:56:00 +0200

lftp (2.4.9-1) unstable; urgency=low

  * New upstream release (closes:Bug#12085,Bug#117416,Bug#108725,Bug#135251).
    Fixes:
    * Has a `du' command (closes:Bug#101225).
    * With the new ftp:home lftp behaviour for interpreting URLS can be
      modified (closes:Buf#67653).
  * Modify default aliases for dir and ls for not passing arguments
    to ls (closes:Bug#111956,Bug#53881,Bug#87656).
  * Minor fix to description (closes:Bug#124864).
  * Undone upstream change. Back to using setlocale for all locale
    categories so that numbers are properly localized. Instead, to fix
    problems with atof, included an atof wrapper that works always in the C
    locale.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 24 Feb 2002 22:04:24 -0300

lftp (2.4.8-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #116068, #120805, #95679, #65460, 95679).
  * debian/control:
    - Clean up description, fix spelling errors (Closes: #124864)

 -- Colin Walters <walters@debian.org>  Mon, 31 Dec 2001 21:06:42 -0500

lftp (2.4.1-1) unstable; urgency=low

  * New upstream release.
    * No longer says `programme gratuit' (closes:Bug#106721).
  * Updated Spanish translation.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 12 Aug 2001 22:48:07 -0300

lftp (2.3.11-1) unstable; urgency=low

  * New upstream release.
  * Removed ftpget from description.
  * The debian/rules file now sets DH_COMPAT to 3, and it was changed
    accordingly (like using debian/lftp instead of debian/tmp).
  * In debian/rules it now uses $(DESTIDOR) when installing in debian/lftp.
  * Now lftp installs its configuration file by itself, removed manual
    installation.
  * It seems that lftp take all the steps to avoid depending on C++
    libraries, so I've removed all the hacks for doing so in debian/rules.
  * Added Build-Depends header to debian/control.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 26 May 2001 01:43:17 -0300

lftp (2.3.10-1) unstable; urgency=low

  * New upstream release.
    * Now it doesn't send user's email address by default
      (closes:Bug#97251).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 13 May 2001 18:38:15 -0300

lftp (2.3.9-1) unstable; urgency=low

  * New upstream release.
    * Copes with printf being a macro in GCC 3.0 (part of #95669).
  * Removed menu hint "Clients" (closes:Bug#82103).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  6 May 2001 18:49:19 -0300

lftp (2.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 26 Feb 2001 23:43:23 -0300

lftp (2.3.7-1) unstable; urgency=low

  * New upstream release.
  * Added FAQ file to package.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 10 Feb 2001 17:42:15 -0300

lftp (2.3.6-1) unstable; urgency=low

  * New upstream release.
  * Small updates in Spanish messages.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  7 Jan 2001 17:44:16 -0300

lftp (2.3.5-2) unstable; urgency=low

  * Added hints to menu file (closes:Bug#80047).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 24 Dec 2000 03:02:59 -0300

lftp (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon,  4 Dec 2000 01:42:44 -0300

lftp (2.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 30 Oct 2000 08:32:23 -0300

lftp (2.3.3-1) unstable; urgency=low

  * New upstream release:
    * Fixes: ls: cannot seek on data source (closes:Bug#72314).
    * Fixed failing assertion (rate_limit!=0) (closes:Bug#72063).
    * Added Japanese translation (closes:Bug#72591).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  1 Oct 2000 15:54:17 -0300

lftp (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 30 Sep 2000 03:30:56 -0300

lftp (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Wed, 20 Sep 2000 23:01:30 -0300

lftp (2.2.99.A00907-1) unstable; urgency=low

  * New upstream release:
    * workaround for server returning address from private network for PASV.
    * support for redirection in mirror (untested).
    * fix for http forgotting to skip some data on input (rare).
    * keep original file mode in get (if the file already existed).
    * fix for EPLF without mtime.
    * russian translation updated.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 11 Sep 2000 02:44:47 -0300

lftp (2.2.99.A00826-1) unstable; urgency=low

  * New upstream release:
    * ftp/ssl tested and fixed.
    * cd follows redirections (mirror still does not).
    * french translation added.
    * translate more strings.
    * //path support.
  * Added a README.Debian.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 27 Aug 2000 00:17:19 -0300

lftp (2.2.99.A00823-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Fri, 25 Aug 2000 00:10:18 -0300

lftp (2.2.99.A00820-1) unstable; urgency=low

  * New upstream release.
  * Fixes to Spanish translation.
  * Removed BUGS from package, it has only one bug, and it was fixed long
    time ago.
  * Disabled support for ssl when configuring. I will probably make a
    lftp-ssl package sometime. Or, as I hope, Debian could start including
    crypto in the main archive.
  * Updated Spanish translation.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 20 Aug 2000 19:18:24 -0300

lftp (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Wed,  2 Aug 2000 02:36:28 -0300

lftp (2.2.4-1) unstable; urgency=low

  * New upstream release.
    * Fixes chmod for mirror (closes:Bug#67028).
  * Updates to Spanish translation.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 15 Jul 2000 22:49:02 -0300

lftp (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Small fix in Spanish translation.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 19 Jun 2000 17:46:41 -0300

lftp (2.2.1a-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 23 Apr 2000 02:54:39 -0300

lftp (2.2.0a-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Thu, 30 Mar 2000 03:43:34 -0300

lftp (2.1.99.pre4-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 26 Mar 2000 04:29:12 -0300

lftp (2.1.99.pre3-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Tue, 21 Mar 2000 21:05:21 -0300

lftp (2.1.99.pre2-1) unstable; urgency=low

  * New upstream release.
  * Updated Spanish translation for lftp 2.2 messages.
  * Listed more lftp features in the package description.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 19 Mar 2000 17:19:59 -0300

lftp (2.1.10-1) frozen unstable; urgency=low

  * New upstream release with a fix for a core dump with long prompts.
    (closes:Bug#59952).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 12 Mar 2000 04:15:02 -0300

lftp (2.1.9-1) frozen unstable; urgency=low

  * New upstream release with small fixes. Accumulated changelog.
   * fixed command `mv'. It was broken for a year.
   * fixed a stupid bug in PWD reply extraction.
   * fixed assertion failure in ftpclass.cc (closes:Bug#56236).
   * fixed handling of PWD reply when it does not include a quoted path.
   * `mirror -R' now checks time stamps again.
  * Parens missing in a message in the Spanish translation
    (closes:Bug#58223).

 -- Nicolás Lichtmaier <nick@debian.org>  Wed, 23 Feb 2000 03:01:19 -0300

lftp (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Included `BUGS' file.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 15 Jan 2000 00:49:21 -0300

lftp (2.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  9 Jan 2000 15:02:51 -0300

lftp (2.1.4-3) unstable; urgency=low

  * Rebuilt with new readline and ncurses libraries.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  9 Jan 2000 04:44:56 -0300

lftp (2.1.4-2) unstable; urgency=low

  * Rebuilt with correct libreadlineg2 shlibs file, now depends on
    libreadlineg2 (>=2.1-15) (closes:Bug#53311,Bug#51075).
  * Call gcc instead of egcc (closes:Bug#47604).

 -- Nicolás Lichtmaier <nick@debian.org>  Sat,  1 Jan 2000 17:31:44 -0300

lftp (2.1.4-1) unstable; urgency=low

  * New upstream release with some bugfixes (memery leak, PUT method,
    parsing Squid output, base-href in hftp, proxies which don't support
    HEAD). LFTP can now also login to proxy servers.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  7 Nov 1999 21:33:55 -0300

lftp (2.1.3-1) unstable; urgency=low

  * New upstream release:
    * get: don't create output file early (closes:Bug#22452).
    * http: list parser for Mini-Proxy added (closes:Bug#47118).
  * Modified `more' command to use /usr/bin/pager if the
    PAGER variable is not defined (closes#47510).

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 16 Oct 1999 22:56:34 -0300

lftp (2.1.2-1) unstable; urgency=low

  * New upstream release. Creates directories with 777 perms
    (closes:Bug#36909). "ls -C" works with http (closes:Bug#46546).
    Fixed coredump in mirror command (closes:Bug#46849).

 -- Nicolás Lichtmaier <nick@debian.org>  Sat,  9 Oct 1999 19:20:54 -0300

lftp (2.1.1-1) unstable; urgency=low

  * New upstream major release.
  * Updated Spanish messages.
  * When going to background it closes its tty related fds and do a setsid
    (does not do a "cd /" though) (closes:Bug#45881).
  * No longer include readline Makefile in patch.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  3 Oct 1999 22:02:48 -0300

lftp (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 18 Sep 1999 18:43:12 -0300

lftp (2.0.4-2) unstable; urgency=low

  * Applied patch from upstream author to stop lftp from giving
    `Invalid argument' errors (closes: Bug#43783).

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 18 Sep 1999 04:19:18 -0300

lftp (2.0.4-1) unstable; urgency=low

  * New upstream release (closes: Bug#43250).
  * Updated `Stadards-Version' to 3.0.1.
  * Moved docs and manpages under /usr/share.
  * Written a manpage for lftpget.
  * Updated description to say that it supports IPv6 and to include
    lftpget (a script to get an URL).

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 11 Sep 1999 23:28:54 -0300

lftp (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Updated Spanish translation.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  4 Jul 1999 20:26:07 -0300

lftp (2.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 20 Jun 1999 16:48:50 -0300

lftp (1.990602-1) unstable; urgency=low

  * New upstream release. Fixes Bug#34487.
  * Updated maintainer address.
  * Somewhat updated Spanish translation.
  * Updated description.

 -- Nicolás Lichtmaier <nick@debian.org>  Thu,  3 Jun 1999 01:36:55 -0300

lftp (1.2-1) unstable; urgency=low

  * Somes updates to Portiguese translation.
  * Updated Spanish translation.
  * Fixed typo in description.
  * Link with egcc instead of gcc.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 12 Dec 1998 22:50:27 -0300

lftp (1.1.981023-1) unstable; urgency=low

  * Built with new libreadline so it doesn't depend on older ncurses.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 25 Oct 1998 03:00:05 -0300

lftp (1.1.981013-1) unstable; urgency=low

  * Switched to debhelper.
  * New upstream release, fixes ugly bug in filename completion. It was
    #28063 and #27932.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 17 Oct 1998 06:01:53 -0300

lftp (1.1.981007-1) unstable; urgency=low

  * Updated Spanish transation.
  * Built with ncurses 4.2, but it still depend on the on the old one
    because realine hasn't been rebuilt yet.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Mon, 12 Oct 1998 00:57:13 -0300

lftp (1.1.980915-1) unstable; urgency=low

  * Fixed the menu entry file.
  * Now compiled with egcs c++.
  * Removed hack that caused the bug #26164.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Fri, 25 Sep 1998 12:12:54 -0300

lftp (1.0.980805-1) unstable; urgency=low

  * Some updates to Spanish translation.
  * New upstream release, fixes bug #23962.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun,  9 Aug 1998 20:52:18 -0300

lftp (1.0-1) frozen unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Fri,  1 May 1998 03:25:43 -0300

lftp (0.99.980424-1) frozen unstable; urgency=low

  * New upstream release:
    * used readline-2.2.
    * correct help and man page for `pget -u'.
    * show `open' status.
    * debug print `resolving host name'.
  * Updated Italian translation, thanks
    to Giovanni Bortolozzo <borto@pluto.linux.it>.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 25 Apr 1998 00:35:04 -0300

lftp (0.14.3.980416-1) unstable; urgency=low

  * Fixes to Spanish translation.
  * New upstream release (pre-1.0 release!):
    * show cd status.
    * use sysconfdir for lftp.conf; /etc for prefix=/usr.
    * output current transfer rate in `jobs', also in pget.
    * in pget, don't show chunks by default; use `jobs -v' to see them.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu, 16 Apr 1998 23:57:30 -0300

lftp (0.14.3.980408-1) frozen unstable; urgency=low

  * Check if `cc' contains c++. if not, use `c++'. Should fix bug #20863.
  * New upstream release. Upstream changelog:
    * spanish translation updated (Nicolás Lichtmaier).
    * man page updated (James Troup, me).
    * help for cd and lcd updated.
    * automake-1.2h used.
      No bugs found yet, strange.
  * Completed Spanish translation.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 12 Apr 1998 09:32:11 -0300

lftp (0.14.3.980402-1) frozen unstable; urgency=low

  * New upstream release:
     * null dereference in rglob.cc fixed (very nasty bug! lftp was giving
       coredump by pressing twice the tab key).
     * fixed sync-mode for some ftp sites.
     * fixed ^C for `more' when pager has not started yet.
     * some messages cleanup.
     * some code cleanup.
     * russian translation almost completed.
  * Allow building when gettext is not installed, fixes bug #20386.
  * Updated Spanish translation.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu,  2 Apr 1998 22:40:47 -0300

lftp (0.14.3.980328-1) frozen unstable; urgency=low

  * Remove readline's Makefile when cleaning to avoid having it in the diff.
  * Updated Spanish translation.
  * Upstream version now include my patches to the i18n.
  * Fix from upstream author to a nasty bug in `cd'.
  * It seems that after all these uptream bugfix releases there will
    be an 1.0 version! (It can go in hamm since no new features are
    planned).

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 28 Mar 1998 23:53:31 -0300

lftp (0.14.3.980324-1) frozen unstable; urgency=low

  * Patch from author fixes:
    * several problems with reverse mirror fixed
    * fixed recursive alias expansion in case of 'alias a "a;a"'
    * fixed parse bug in line join construct
    * fixed a bug that forced re-creation of symlinks in mirror
  * New upstream release.
  * Updated Spanish translation.
  * Added Italian translation (needs update).

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Wed, 25 Mar 1998 22:43:07 -0300

lftp (0.14.3.980318-2) frozen unstable; urgency=low

  * Updated Spanish translation.
  * Fixed bug when cleaning that prevented make from rebuilding the .mo
    (translated messages) file.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 22 Mar 1998 15:56:13 -0300

lftp (0.14.3.980318-1) frozen unstable; urgency=low

  * This time this should be in frozen =/.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Wed, 18 Mar 1998 23:05:52 -0300

lftp (0.14.3.980312-3) unstable; urgency=low

  * Updated Spanish translation.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 15 Mar 1998 22:30:23 -0300

lftp (0.14.3.980312-2) unstable; urgency=low

  * Updated Spanish translation.
  * Marked more translatable strings in the code.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Fri, 13 Mar 1998 23:36:07 -0300

lftp (0.14.3.980312-1) unstable; urgency=low

  * Removed parallelftp from the description (its functionality was
    included in lftp). Fixes bug #19259.
  * Added THANKS file.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu, 12 Mar 1998 20:58:37 -0300

lftp (0.14.2-1) unstable; urgency=low

  * Added upstream author to copyright file, fixes bug #18640.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun,  8 Mar 1998 23:24:32 -0300

lftp (0.14.1-2) unstable; urgency=low

  * Fix from upstream to fix `-u' option, fixes bug #18535.
  * Cosmetic changes in manpages, with help from
    James R. Van Zandt <jrv@vanzandt.mv.com>.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 28 Feb 1998 02:19:16 -0300

lftp (0.14.1-1) unstable; urgency=low

  * Changed `Standards-Version' to 2.4.0.0.
  * Compiled with new debmake, fixes md5 file.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 22 Feb 1998 14:57:01 -0300

lftp (0.14.0-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Wed, 28 Jan 1998 23:13:57 -0300

lftp (0.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 15 Nov 1997 02:38:31 -0300

lftp (0.13.1-1) unstable; urgency=low

  * New upstream release, with all my changes included by the author.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu, 30 Oct 1997 21:34:18 -0300

lftp (0.13.0-1) unstable; urgency=low

  * Command completion now also looks in the alias list when the completed
    word is a command (i.e. is at the begining of the line).
  * Use pristine sources.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 18 Oct 1997 14:14:34 -0300

lftp (0.12.2-2) unstable; urgency=low

  * Command completion now handles aliases when decidinf if a file is
    remote.
  * Fixed typo in online help.
  * Updated copyright file.
  * Changed maintaner address.
  * Fixes in ftpget(1).
  * Changes to debian/rules. It now preserves files' original date and
    doesn't use debian/dirs.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 10 Aug 1997 16:36:33 -0300

lftp (0.12.2-1) unstable; urgency=low

  * Applied glibc2 patches from Michael Dorman, fixes #11386.
  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sun, 20 Jul 1997 07:07:49 -0300

lftp (0.12.1-1) unstable; urgency=low

  * Minor change to manpage.
  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Mon, 14 Jul 1997 13:55:51 -0300

lftp (0.12.0-1) unstable; urgency=low

  * New upstream release, fixes bug #10760 (now supports passive mode).

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Fri,  4 Jul 1997 15:47:03 -0300

lftp (0.11.1-2) unstable; urgency=low

  * Built with libc6.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sat, 21 Jun 1997 00:38:27 -0300

lftp (0.11.1-1) unstable; urgency=low

  * Small fix in lftp(1) manpage.
  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Tue, 13 May 1997 16:28:12 -0300

lftp (0.11.0-2) unstable; urgency=low

  * Built with CXX=cc so binaries aren't linked against libstdc++
    and libm.
  * Changed menu entry to 1.x format.
  * Changed `Priority:' to `optional'.
  * Added dependency on netbase.
  * Made manpage look nicer.
  * Changed description.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Thu, 8 May 1997 18:07:40 -0300

lftp (0.11.0-1) unstable; urgency=low

  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sun, 20 Apr 1997 19:48:17 -0300

lftp (0.10.7-1) unstable; urgency=low

  * Removed Debian specific manpages, since the have been included in
    the upstream version.
  * New maintainer.
  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sat, 5 Apr 1997 16:56:35 -0300

lftp (0.10.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Thu, 6 Feb 1997 18:50:09 -0800
